# Što je ovo?

Ovo je promise-based http klijent za [JsonProxy web service](https://wiki.ngit.hr/display/KW/JsonProxy).

# API

```javascript
jsonp.call({
    // naziv SQL procedure (ili ID)
    proc: '[dbo].[get_time]',
    // parametri SQL procedure
    params: {
        paramA: 123,
        paramB: 'neki tekst'
    }
}).then(result=>{
    // ovdje ide neki processing
}).catch(err => {
    // ovdje ide neka obrada greške
});
```

# Installation

Ovaj modul je dostupan na NPM (privatan modul), tako da se instalira kao dependency:

```bash
$ npm i @knee-cola/json-proxy --save
```